package configui

import (
	"net/http"

	"kumoly.io/lib/ksrv"
)

var ErrorServerReloading = ksrv.Error{
	Code:    http.StatusServiceUnavailable,
	ID:      "ErrorServerReloading",
	Message: "server is reloading",
}

var ErrorOniHasNoPID = ksrv.Error{
	Code:    http.StatusBadRequest,
	ID:      "ErrorOniHasNoPID",
	Message: "oni has no pid",
}

var ErrorOniNotStarted = ksrv.Error{
	Code: http.StatusConflict,
	ID:   "ErrorOniNotStarted",
	Tmpl: "%s hasn't start",
}

var ErrorOniHasStarted = ksrv.Error{
	Code: http.StatusConflict,
	ID:   "ErrorOniHasStarted",
	Tmpl: "%s has started",
}

var ErrorOniNotFound = ksrv.Error{
	Code: http.StatusNotFound,
	ID:   "ErrorOniNotFound",
	Tmpl: "%s not found",
}

var ErrorOniNotValid = ksrv.Error{
	Code:    http.StatusBadRequest,
	ID:      "ErrorOniNotValid",
	Message: "oni no name or cmd",
}

var ErrorNoDeleteRunning = ksrv.Error{
	Code: http.StatusBadRequest,
	ID:   "ErrorNoDeleteRunning",
	Tmpl: "cannot delete running: %s",
}

var ErrorOniNoLog = ksrv.Error{
	Code: http.StatusNotFound,
	ID:   "ErrorOniNoLog",
	Tmpl: "%s has no logs",
}
